openSUSE Security Update : libupnp (openSUSE-SU-2013:0255-1)

This script is Copyright (C) 2014-2017 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

- Update to version 1.6.18 (bnc#801061)

+ Security fix for CERT issue VU#922681 This patch
addresses three possible buffer overflows in function
unique_service_name(). The three issues have the
folowing CVE numbers: CVE-2012-5958 Issue #2:
Stack-based buffer overflow of Tempbuf CVE-2012-5959
Issue #4: Stack-based buffer overflow of Event->UDN
CVE-2012-5960 Issue #8: Stack-based buffer overflow of
Event->UDN

+ Notice that the following issues have already been dealt
by previous work: CVE-2012-5961 Issue #1: Stack-based
buffer overflow of Evt->UDN CVE-2012-5962 Issue #3:
Stack-based buffer overflow of Evt->DeviceType
CVE-2012-5963 Issue #5: Stack-based buffer overflow of
Event->UDN CVE-2012-5964 Issue #6: Stack-based buffer
overflow of Event->DeviceType CVE-2012-5965 Issue #7:
Stack-based buffer overflow of Event->DeviceType

See also :

http://lists.opensuse.org/opensuse-updates/2013-02/msg00013.html
https://bugzilla.novell.com/show_bug.cgi?id=801061
https://www.tenable.com/security/research/tra-2017-10

Solution :

Update the affected libupnp packages.

Risk factor :

Critical / CVSS Base Score : 10.0
(CVSS2#AV:N/AC:L/Au:N/C:C/I:C/A:C)
CVSS Temporal Score : 8.3
(CVSS2#E:F/RL:OF/RC:ND)
Public Exploit Available : true

Family: SuSE Local Security Checks

Nessus Plugin ID: 75214 ()

Bugtraq ID:

CVE ID: CVE-2012-5958
CVE-2012-5959
CVE-2012-5960
CVE-2012-5961
CVE-2012-5962
CVE-2012-5963
CVE-2012-5964
CVE-2012-5965

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now